OAuth-Protected-Resource-Metadaten abrufen
Gibt OAuth-Protected-Resource-Metadaten gemäß RFC 9728 zurück.
curl -X GET "https://api.example.com/mcp-server/.well-known/oauth-protected-resource" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.example.com/mcp-server/.well-known/oauth-protected-resource"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/mcp-server/.well-known/oauth-protected-resource", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/mcp-server/.well-known/oauth-protected-resource", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/mcp-server/.well-known/oauth-protected-resource')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"resource": "https://api.example.com/mcp-server",
"authorization_servers": [
"https://api.example.com/mcp-server"
],
"bearer_methods_supported": [
"header"
]
}
{
"code": 500,
"message": "Internal server error"
}
GET
/.well-known/oauth-protected-resource
GET
Base URLstring
Target server for requests. Edit to use your own host.
Request Preview
Response
Response will appear here after sending the request
Responses
resourcestring
RequiredKennung der geschützten Ressource.
authorization_serversstring[]
RequiredAuthorization Server, die Tokens für diese Ressource ausstellen können.
bearer_methods_supportedstring[]
RequiredUnterstützte Übertragungsverfahren für Bearer-Tokens.
Allowed values:
headerWas this page helpful?